CREATE FUNCTION [dbo].[FORMATDATETIME] (@STRDATETIME VARCHAR(24))
RETURNS DATETIME AS  
BEGIN 
	DECLARE @TMPDATETIME DATETIME
	IF RTRIM(@STRDATETIME) = ''
		SET @TMPDATETIME = NULL
	ELSE
	BEGIN
		IF LEN(RTRIM(@STRDATETIME)) >= 8
		BEGIN
			IF LEN(RTRIM(@STRDATETIME)) > 8
				SET @TMPDATETIME = LEFT(@STRDATETIME,4)+'-'+SUBSTRING(@STRDATETIME,5,2)+'-'+SUBSTRING(@STRDATETIME,7,2)+' '+SUBSTRING(@STRDATETIME,9,2)+':'+SUBSTRING(@STRDATETIME,11,2)
			ELSE
				SET @TMPDATETIME = LEFT(@STRDATETIME,4)+'-'+SUBSTRING(@STRDATETIME,5,2)+'-'+SUBSTRING(@STRDATETIME,7,2)
		END
		ELSE
			SET @TMPDATETIME = NULL
	END
	RETURN(@TMPDATETIME)
END

